package net.minecraft.src;

import java.util.HashMap;
import java.util.Map;

// SDK
@SuppressWarnings({ "rawtypes", "unchecked" })
public class mod_SdkGrapplingHook extends SdkBaseMod
{
    public static final Block blockRope = (new SdkBlockRope(115, ModLoader.addOverride("/terrain.png", "/sdk/blockPlayerSpawner.png"), ModLoader.getUniqueBlockModelID(null, false))).setHardness(-1F).setResistance(6000000F).setStepSound(Block.soundClothFootstep).setBlockName("blockRope");
    public static final Block blockGrapplingHook = (new SdkBlockGrapplingHook(116, ModLoader.addOverride("/terrain.png", "/sdk/blockPlayerSpawner.png"), ModLoader.getUniqueBlockModelID(null, false))).setHardness(0.0F).setStepSound(Block.soundMetalFootstep).setBlockName("blockGrapplingHook");
    
    public static final Item itemRope = (new Item(2511)).setIconIndex(ModLoader.addOverride("/gui/items.png", "/sdk/itemRope.png")).setItemName("itemRope");
    public static final Item itemGrapplingHook = (new SdkItemGrapplingHook(2512)).setIconIndex(ModLoader.addOverride("/gui/items.png", "/sdk/itemGrapplingHook.png")).setItemName("itemGrapplingHook");
    
	// Instead of in EntityPlayer
    public static Map<EntityPlayer, SdkEntityGrapplingHook> grapplingHooks = new HashMap<EntityPlayer, SdkEntityGrapplingHook>();
	
	public mod_SdkGrapplingHook()
    {
		super();
		
    	ModLoader.RegisterBlock(blockRope);
    	ModLoader.RegisterBlock(blockGrapplingHook);
    	
		ModLoader.RegisterEntityID(SdkEntityGrapplingHook.class, "GrapplingHook", ModLoader.getUniqueEntityId());
		
		ModLoader.RegisterTileEntity(SdkTileEntityRope.class, "Rope");
    }
    
	@Override
	public String Version()
	{
		return "1.3_01v2";
	}

	@Override
    public void SetRecipes(CraftingManager craftingmanager)
    {
		SdkTools.setShapedRecipe(craftingmanager, true, new ItemStack(itemGrapplingHook, 1), new Object[] {
        	"X", "#", "#", Character.valueOf('#'), itemRope, Character.valueOf('X'), Item.ingotIron
        });
		SdkTools.setShapedRecipe(craftingmanager, true, new ItemStack(itemRope, 1), new Object[] {
            "##", "##", "##", Character.valueOf('#'), Item.silk
        });
    }
	
	@Override
	public void AddEntityTrackers(Map<Class, SdkPair<Integer, Integer>> map)
	{
		map.put(SdkEntityGrapplingHook.class, new SdkPair<Integer, Integer>(64, 5));
	}
	
	@Override
	public void AddEntityTrackerEntries(Map<Class, Integer> map)
	{
		map.put(SdkEntityGrapplingHook.class, 119);
	}

	@Override
	public void OnMainMenu() {
		// TODO Auto-generated method stub
		
	}

	@Override
	public void InitBlocks() {
		// TODO Auto-generated method stub
		
	}
}
